#define _XTAL_FREQ 8000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/config/config.h"
#include "assets/DHT11/DHT11.h"
#include "assets/MAX7219/MAX7219.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  OSCCON =  0x70;       // set internal oscillator to 8MHz
  ANSELH = 0;           // configure all PORTB pins as digital
  
  dht11_init();
  MAX7219_init();
  
  while(1)
  {
    oneWire_startSignal();
    struct TempSensor data;
    
    if(oneWire_checkResponse() && !dht11_getData(&data) && dht11_isChecksumValid(data))
    {
        signed int tempr = (signed int) dht11_getTemperature(data);
        MAX7219_displayNumber(tempr);             
    }
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------